Method: projects.locations.apis.versions.specs.patch

Update spec. The following fields in the spec can be updated:

In case of an OAS spec, updating spec contents can lead to: 1. Creation, deletion and update of operations. 2. Creation, deletion and update of definitions. 3. Update of other info parsed out from the new spec.

In case of contents or source_uri being present in update mask, specType must also be present. Also, specType can not be present in update mask if contents or source_uri is not present.

The updateMask should be used to specify the fields being updated.

HTTP request

PATCH https://apihub.googleapis.com/v1/{spec.name=projects/*/locations/*/apis/*/versions/*/specs/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
spec.name

string

Identifier. The name of the spec.

Format: projects/{project}/locations/{location}/apis/{api}/versions/{version}/specs/{spec}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Spec.

Response body

If successful, the response body contains an instance of Spec.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/apihub.readwrite
  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the name resource:

  • apihub.specs.update

For more information, see the IAM documentation.